## org.exist.start
Class LatestFileResolver

    java.lang.Object
      org.exist.start.LatestFileResolver

public class LatestFileResolver
extends java.lang.Object

This class uses regex pattern matching to find the latest version of a particular jar file.

Version:
  $Revision: 3457 $
Author:
  Ben Schmaus (exist@benschmaus.com)
See Also:
  `getResolvedFileName(String)`

Constructor Summary
`LatestFileResolver()`

Method Summary
`java.lang.String` `getResolvedFileName(java.lang.String filename)` If the passed file name contains a %latest% token, find the latest version of that file.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LatestFileResolver

    public LatestFileResolver()

Method Detail

### getResolvedFileName

    public java.lang.String getResolvedFileName(java.lang.String filename)

  If the passed file name contains a %latest% token, find the latest version of that file. Otherwise, return the passed file name unmodified.

  Parameters:
    `filename` - Path relative to exist home dir of a jar file that should be added to the classpath.

Copyright (C) Wolfgang Meier. All rights reserved.